#!/bin/sh
module="ckbd_dev"
device="ckbd_dev"
mode='666'

error ()
{
    echo Error while executing \"$1\"
    exit 1
}

#invoke insmod with all arguments we were passed
# and use a pathname, as newer modutils don't look in . by default
#/sbin/insmod ./$module.o $* || exit 1
#/sbin/insmod $module.o $* || exit 1

#remove stale nodes
rm -f /dev/ckbd_*

major=`awk "\\$2==\"$module\" { print \\$1 }" /proc/devices`

mknod /dev/ckbd_stat c $major 0 || error "mknod /dev/ckbd_stat"
mknod /dev/ckbd_keyboard c $major 1 || error "mknod /dev/ckbd_keyboard"
mknod /dev/ckbd_msr1 c $major 2 || error "mknod /dev/ckbd_msr1"
mknod /dev/ckbd_msr2 c $major 3 || error "mknod /dev/ckbd_msr2"
mknod /dev/ckbd_msr3 c $major 4 || error "mknod /dev/ckbd_msr3"
mknod /dev/ckbd_keylock c $major 5 || error "mknod /dev/ckbd_keylock"

# give appropriate group/permissions, and change the group
# Not all distributions have staff; some have "users" instead.
group="staff"
grep '^staff:' /etc/group > /dev/null || group="users"

chgrp $group /dev/ckbd_*
chmod $mode /dev/ckbd_*
