/* ckbd_drv.h - the header file with Cherry keyboard driver definitions.
 *
 * The declarations here have to be in a header file,
 * because they need to be known both to the kernel
 * module (in ckbd_drv.c) and the process calling the Cherry keyboard driver.
 *
 */

#ifndef CKBD_DRV_H
#define CKBD_DRV_H


/* The major device number will be defined by dynamic
 * registration. */

#define CKBD_MAJOR_NUM 0

/* The name of the device files */
#define DEVICE_FILE_NAME        "/dev/ckbd_stat"
#define STAT_FILE_NAME          "/dev/ckbd_stat"
#define KEYBOARD_FILE_NAME      "/dev/ckbd_keyboard"
#define MSR1_FILE_NAME          "/dev/ckbd_msr1"
#define MSR2_FILE_NAME          "/dev/ckbd_msr2"
#define MSR3_FILE_NAME          "/dev/ckbd_msr3"
#define KEYLOCK_FILE_NAME       "/dev/ckbd_keylock"

/* The minor_num's of the device files */
#define STAT_MINOR_NUM           0
#define KEYBOARD_MINOR_NUM      1
#define MSR1_MINOR_NUM          2
#define MSR2_MINOR_NUM          3
#define MSR3_MINOR_NUM          4
#define KEYLOCK_MINOR_NUM       5

#endif
