#!/bin/sh
module="chyposusbkbd"
device="chyposusb"
mode='666'

error ()
{
    echo Error while executing \"$1\"
    exit 1
}

/sbin/modprobe chyposusbkbd $* || exit 1

#remove stale nodes
#rm -f /dev/chyposusb_*

major=`awk "\\$2==\"$module\" { print \\$1 }" /proc/devices`

mknod /dev/chyposusb_kbdstat c $major 0 || error "mknod /dev/chyposusb_kbdstat"
mknod /dev/chyposusb_keyboard c $major 1 || error "mknod /dev/chyposusb_keyboard"

# give appropriate group/permissions, and change the group
# Not all distributions have staff; some have "users" instead.
group="staff"
grep '^staff:' /etc/group > /dev/null || group="users"

chgrp $group /dev/chyposusb_*
chmod $mode /dev/chyposusb_*
