/* ckbd_drv.h - the header file with Cherry keyboard driver definitions.
 *
 * The declarations here have to be in a header file,
 * because they need to be known both to the kernel
 * module (in ckbd_drv.c) and the process calling the Cherry keyboard driver.
 *
 * History:
 *  Orginal Author Preh GmbH, Rudolf Limpert <rudolf.limpert@preh.de>");
 *  26.06.2002 RL: MSR_FILE_NAME added (all tracks in one string)
 *  22.01.2003 RL: TCO added
 *  19.05 2004 heavily modified for use with Cherry keybords

 *
 */

#ifndef CKBD_DRV_H
#define CKBD_DRV_H


/* The major device number will be defined by dynamic
 * registration. */

#define CKBD_MAJOR_NUM 0

/* The minor_num's of the device files */
#define STAT_MINOR_NUM           0
#define KEYBOARD_MINOR_NUM      1


int init_ckbd(void);
void cleanup_ckbd(void);
unsigned char my_kbdhook(unsigned char *kbdata);

#endif
