// ============================================================
//	
//	File : Decode.h
//	
//	Copyright 2001 Cherry GmbH
//	               Auerbach / Germany
//	
// ============================================================
//	
//	Revision History
//	
//	Author:		Date:		Description:
//	
//	DreelH	29.10.2001	Creation of this file.
//	
// ============================================================
#ifndef CHERRY_DECODE_H
#define CHERRY_DECODE_H


// ------------------------------------------------------------
// Includes
// ------------------------------------------------------------

// ------------------------------------------------------------
// Defines
// ------------------------------------------------------------

typedef unsigned short int WORD;
typedef unsigned char BSTR;
typedef unsigned char eCDIMSR_CARDERROR;
typedef unsigned char eCDIMSR_CARDTYPES;
typedef unsigned char OLECHAR;


#define CARDTYPE_UNKNOWN 1
#define CARDTYPE_ISO 2
#define CARDTYPE_JIS2 3
#define CARDTYPE_GEMINI 4
#define CARDTYPE_AAMVA 5

#define TRACK_1 1
#define TRACK_2 2
#define TRACK_3 3

//#define MSR_S_OK 1
//#define MSR_E_START 2
//#define MSR_E_END 3
//#define MSR_E_PARITY 4
//#define MSR_E_LEN 5
//#define MSR_E_LRC 6
//#define MSR_E_FAILURE 7

#define MSR_S_OK 0
#define MSR_E_START 201
#define MSR_E_END 202
#define MSR_E_PARITY 203
#define MSR_E_LEN 5
#define MSR_E_LRC 204
#define MSR_E_FAILURE 111
#define MSR_E_GENERAL 115

// ------------------------------------------------------------
// Prototypen
// ------------------------------------------------------------


// ------------------------------------------------------------
// Class declarations
// ------------------------------------------------------------


// Decode.h: Schnittstelle fr die Klasse CDecode.
//
//////////////////////////////////////////////////////////////////////

extern void CDecode_CDecode(void);
extern	int CDecode_GetTrackData(BSTR* apbstrData);
extern  eCDIMSR_CARDERROR CDecode_InterpreteSingleTrack(unsigned int nStripe,unsigned int nStripeLength,const char * pBuffer,
                                          char* pbStartSentinel,
                                          char* pbEndSentinel,
                                          char abDecode,
                                          eCDIMSR_CARDTYPES* pCARD_TYPE);


#endif // CHERRY_DECODE_H
