#include <linux/input.h>

/* Delay of key events for the MSR output in case the output is too fast and is distorted in X */
/* The delay is entered in milliseconds. Valid range is from 0 to <way too slow>               */
/* Default for a moderate fast computer is 3                                                   */

static unsigned int EventDelay = 10;

/* The definitions below this point are only valid for the Cherry MultiBoard USB keyboard  */

/* Header & Terminator configuration for console output                                                       */
/* Allowed key definitions can be read in /usr/include/linux/input.h                                          */
/* Definitions may be empty or contain any number of keys and DOWN (key pressed) or UP (key released) events  */
/* Our default {KEY_ENTER+DOWN,KEY_ENTER+UP} as track terminator for example produces a carriage return after */
/* the output of the track so the tracks are separated on the console.                                        */
 
static unsigned int Header_Track1[] = {};
static unsigned int Terminator_Track1[] = {KEY_ENTER+DOWN,KEY_ENTER+UP};

static unsigned int Header_Track2[] = {};
static unsigned int Terminator_Track2[] = {KEY_ENTER+DOWN,KEY_ENTER+UP};

static unsigned int Header_Track3[] = {};
static unsigned int Terminator_Track3[] = {KEY_ENTER+DOWN,KEY_ENTER+UP};


/* The output of selected tracks can be enabled or disabled with this variables        */
/* allowed expressions are TRUE (track output enabled) or FALSE (track output disabled) */

#define TRACK_1_ENABLE TRUE
#define TRACK_2_ENABLE TRUE
#define TRACK_3_ENABLE TRUE

/* The output of start and stop sentinals can be enabled or disabled with this variable */
/* allowed expressions are TRUE (output enabled) or FALSE (output disabled)             */

#define START_STOP_SENTINALS TRUE
