#!/bin/sh
module="chyposusbmsr"
device="chyposusb"
mode='666'

error ()
{
    echo Error while executing \"$1\"
    exit 1
}

/sbin/modprobe chyposusbmsr $* || exit 1

#remove stale nodes
#rm -f /dev/chyposusb_*

major=`awk "\\$2==\"$module\" { print \\$1 }" /proc/devices`

mknod /dev/chyposusb_msrstat c $major 3 || error "mknod /dev/chyposusb_msrstat"
mknod /dev/chyposusb_msr1 c $major 4 || error "mknod /dev/chyposusb_msr1"
mknod /dev/chyposusb_msr2 c $major 5 || error "mknod /dev/chyposusb_msr2"
mknod /dev/chyposusb_msr3 c $major 6 || error "mknod /dev/chyposusb_msr3"
mknod /dev/chyposusb_keylock c $major 7 || error "mknod /dev/chyposusb_keylock"

# give appropriate group/permissions, and change the group
# Not all distributions have staff; some have "users" instead.
group="staff"
grep '^staff:' /etc/group > /dev/null || group="users"

chgrp $group /dev/chyposusb_*
chmod $mode /dev/chyposusb_*
