/* ckbd_drv.h - the header file with Cherry keyboard driver definitions.
 *
 * The declarations here have to be in a header file,
 * because they need to be known both to the kernel
 * module (in ckbd_drv.c) and the process calling the Cherry keyboard driver.
 *
 * History:
 *  Orginal Author Preh GmbH, Rudolf Limpert <rudolf.limpert@preh.de>");
 *  26.06.2002 RL: MSR_FILE_NAME added (all tracks in one string)
 *  22.01.2003 RL: TCO added
 *  19.05 2004 heavily modified for use with Cherry keybords

 *
 */

#ifndef CKBD_DRV_H
#define CKBD_DRV_H


/* The major device number will be defined by dynamic
 * registration. */

#define CKBD_MAJOR_NUM 0

/* The minor_num's of the device files */
#define STAT_MINOR_NUM	3
#define MSR1_MINOR_NUM	4
#define MSR2_MINOR_NUM	5
#define MSR3_MINOR_NUM	6
#define KEYLOCK_MINOR_NUM	7

int init_msr(void);
void cleanup_msr(void);
unsigned char msrcheck(struct input_dev *idev, unsigned char *msr_data, unsigned char apusb);
void keylock(struct input_dev *idev, unsigned char position);
void msrout(void);

#endif
